import { Plugin } from '../application/Plugin';
export { AdminProvider, NoticeArea, AdminLayout, MenuEditor, AdminTabs } from './admin-layout';
export * from './pinned-list';
export * from './context-menu/useContextMenu';
export declare const AppNotFound: () => import("react/jsx-runtime").JSX.Element;
export declare class BuiltInPlugin extends Plugin {
    afterAdd(): Promise<void>;
    load(): Promise<void>;
    addSystemSettingGroups(): void;
    addRoutes(): void;
    addComponents(): void;
    addPlugins(): Promise<void>;
}
